## com.google.gwt.event.dom.client
Interface HasClickHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  TabBar.Tab

All Known Implementing Classes:
  Anchor, Button, ButtonBase, CheckBox, CustomButton, FlexTable, FocusPanel, FocusWidget, Grid, HTML, HTMLTable, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, Label, ListBox, PasswordTextBox, PushButton, RadioButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, TextArea, TextBox, TextBoxBase, ToggleButton

    public interface HasClickHandlers

extends HasHandlers

A widget that implements this interface provides registration for `ClickHandler` instances.

Method Summary
`HandlerRegistration` | `addClickHandler(ClickHandler handler)` Adds a `ClickEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addClickHandler

    HandlerRegistration addClickHandler(ClickHandler handler)

  Adds a `ClickEvent` handler.

  Parameters:
    `handler` - the click handler
  Returns:
    `HandlerRegistration` used to remove this handler